### Function

# Camel header_set_param

#### Declaration [src]

    _camel_header_param*
    camel_header_set_param (
      _camel_header_param** paramsp,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Set a parameter in the list.

#### Parameters

`paramsp`

  Type: `_camel_header_param**`

  Poinetr to a list of params.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  Name of param to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `_camel_header_param*`

The set param.

The data is owned by the called function.
The return value can be `NULL`.